## python-pamqp 2.3.0

=== requirements.txt ===
codecov
coverage
flake8
flake8-comprehensions
flake8-deprecated
flake8-html
flake8-import-order
flake8-quotes
flake8-rst-docstrings
flake8-tuple
lxml
mock
nose
unittest2
yapf

=== debian/changelog ===
python-pamqp (2.3.0-2) unstable; urgency=low

  [ Michael Fladischer ]
  * Add debian/gbp.conf.
  * Set Rules-Requires-Root: no.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Dec 2019 17:22:29 +0100

python-pamqp (2.3.0-1) unstable; urgency=low

  * Initial release (Closes: #933681).

 -- Michael Fladischer <fladi@debian.org>  Thu, 01 Aug 2019 20:19:50 +0200

=== debian/control ===
Source: python-pamqp
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-nose,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.4.1
Homepage: https://github.com/gmr/pamqp/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pamqp
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pamqp.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pamqp
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-pamqp-doc
Description: RabbitMQ Focused AMQP low-level library (Python3 version)
 pamqp is a low level AMQP 0-9-1 frame encoding and decoding library for Python.
 It is not a end-user client library for talking to RabbitMQ but rather is used
 by client libraries for marshaling and unmarshaling AMQP frames.
 .
 AMQP class/method command class mappings can be found in the
 pamqp.specification module while actual frame encoding and encoding should be
 run through the pamqp.frame module.
 .
 This package contains the Python 3 version of the library.

Package: python-pamqp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: RabbitMQ Focused AMQP low-level library (Documentation)
 pamqp is a low level AMQP 0-9-1 frame encoding and decoding library for Python.
 It is not a end-user client library for talking to RabbitMQ but rather is used
 by client libraries for marshaling and unmarshaling AMQP frames.
 .
 AMQP class/method command class mappings can be found in the
 pamqp.specification module while actual frame encoding and encoding should be
 run through the pamqp.frame module.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pamqp
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-pamqp-doc/usr/share/doc/python-pamqp-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.]+.*)$/python-pamqp-$1/ \
https://github.com/gmr/pamqp/releases \
/gmr/pamqp/archive/v?([\d\.]+)\.tar\.gz

## python-pamqp 3.1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pamqp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pamqp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pamqp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pamqp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-pamqp (3.1.0-1) unstable; urgency=low

  * New upstream release.
  * Update year in d/copyright.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Fri, 14 Jan 2022 11:33:06 +0000

python-pamqp (3.0.1-1) unstable; urgency=low

  [ Adam Cécile ]
  * Swith Sphinxdoc from material theme (unavailable) to ReadTheDoc one.
  * Disable unavailable Sphinx extension autodoc_typehints-
  * Remove privacy breachs in Sphinxdoc.
  * Bump Standards-Version to 4.5.0.
  * Add upstream/metadata file.
  * Disable failing unittest, reported upstream.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-pamqp-doc: Add Multi-Arch: foreign.

  [ Michael Fladischer ]
  * New upstream release.
  * Update d/watch to work with github again.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Use uscan version 4.
  * Update year in d/copyright.
  * Fix typo in previous changelog entry.
  * Use pytest to run upstream tests instead of nose.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Mon, 20 Dec 2021 18:37:04 +0000

=== debian/control ===
Source: python-pamqp
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.0.1
Homepage: https://github.com/gmr/pamqp/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pamqp
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pamqp.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-pamqp-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: RabbitMQ Focused AMQP low-level library (Documentation)
 pamqp is a low level AMQP 0-9-1 frame encoding and decoding library for Python.
 It is not a end-user client library for talking to RabbitMQ but rather is used
 by client libraries for marshaling and unmarshaling AMQP frames.
 .
 AMQP class/method command class mappings can be found in the
 pamqp.specification module while actual frame encoding and encoding should be
 run through the pamqp.frame module.
 .
 This package contains the documentation.

Package: python3-pamqp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pamqp-doc,
Description: RabbitMQ Focused AMQP low-level library (Python3 version)
 pamqp is a low level AMQP 0-9-1 frame encoding and decoding library for Python.
 It is not a end-user client library for talking to RabbitMQ but rather is used
 by client libraries for marshaling and unmarshaling AMQP frames.
 .
 AMQP class/method command class mappings can be found in the
 pamqp.specification module while actual frame encoding and encoding should be
 run through the pamqp.frame module.
 .
 This package contains the Python 3 version of the library.

## python-pamqp 3.2.1

=== debian/changelog ===
python-pamqp (3.2.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Sun, 18 Sep 2022 14:22:49 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/gmr/pamqp/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pamqp
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pamqp.git

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=pamqp
-export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
-export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
+# https://github.com/gmr/pamqp/issues/26
+export PYBUILD_TEST_ARGS=-k "not DemarshalingTests and not test_basic_properties"
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## python-pamqp 3.3.0

=== docs/requirements.txt ===
Sphinx==2.4.4
sphinx-autodoc-typehints
sphinx-material==0.0.23
typed_ast

=== debian/changelog ===
python-pamqp (3.3.0-3) unstable; urgency=medium

  * Enable all tests; some were disabled due to errors in the past.

 -- Georg Faerber <georg@debian.org>  Tue, 07 Jan 2025 21:37:06 +0000

python-pamqp (3.3.0-2) unstable; urgency=medium

  * Add myself as Uploader.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Add architecture-is-64-bit to Build-Depends and set Architecture: any;
    tests fail on i386.

 -- Georg Faerber <georg@debian.org>  Tue, 07 Jan 2025 21:23:17 +0000

python-pamqp (3.3.0-1) unstable; urgency=low

  * New upstream version 3.3.0
  * Refresh patches.
  * Update year in d/copyright.
  * Build using pybuild-plugin-pyproject and dh-sequence-python3.
  * Bump Standards-Version to 4.6.2.
  * Add python3-doc to Build-Depends, required by intersphinx mapping.
  * Add patch to use local objects.inv in intersphinx mapping.
  * Install testfiles using d/pybuild.testfiles.

 -- Michael Fladischer <fladi@debian.org>  Fri, 19 Jan 2024 13:44:19 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,20 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
+ Georg Faerber <georg@debian.org>,
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
+ architecture-is-64-bit,
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-doc,
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/gmr/pamqp/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pamqp
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pamqp.git
@@ -38,7 +42,7 @@
  This package contains the documentation.
 
 Package: python3-pamqp
-Architecture: all
+Architecture: any
 Depends:
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=pamqp
-# https://github.com/gmr/pamqp/issues/26
-export PYBUILD_TEST_ARGS=-k "not DemarshalingTests and not test_basic_properties"
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
